#
# spec file for package cvs (Version 1.11)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  tcsh
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm tcsh

Name:         cvs
Copyright:    1989-94 Brian Berliner, Jeff Polk
Group:        Development/Version Control
Autoreqprov:  on
Version:      1.11
Release:      230
Summary:      Concurrent Versions System
Source:       cvs-1.11.tar.bz2
Source1:      cvslock-0.1.tar.bz2
Patch:        cvs-1.11.dif
Patch1:       cvs-1.11-security.patch
Patch2:       diff-k.possible.patch
Patch3:       cvs-1.11-zlib.patch
Patch4:       double-free-fix.dif
Patch5:       disable-update-prog.dif

%description
CVS is a frontend to the Revision Control System which is
included in the standard Linux distribution.
pcl-cvs, an Emacs frontend to CVS, is also included.

Authors:
--------
    Brian Berliner <berliner@sun.com>
    Jeff Polk <polk@bsdi.com>

SuSE series: d

%prep
%setup -a 1
%patch
%patch -P 1 -p 0 -b .tmpfile
%patch2
%patch3 -p1 -b .zlib
%patch4
%patch5

%build
./configure --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
(cd cvslock-0.1 && ./configure --prefix=/usr --mandir=%{_mandir})
make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s
(cd cvslock-0.1 && make CFLAGS="-Wall $RPM_OPT_FLAGS -pipe" LDFLAGS=-s)

%install
make install install-info
(cd cvslock-0.1 && make install)

%files
%dir /usr/lib/cvs
%dir /usr/lib/cvs/contrib
/usr/bin/cvs
/usr/bin/cvsbug
/usr/bin/rcs2log
/usr/bin/cvslock
%doc %{_infodir}/cvs.info-?.gz
%doc %{_infodir}/cvs.info.gz
%doc %{_infodir}/cvsclient.info-?.gz
%doc %{_infodir}/cvsclient.info.gz
/usr/lib/cvs/contrib/cvs_acls
/usr/lib/cvs/contrib/cvscheck.man
/usr/lib/cvs/contrib/commit_prep
/usr/lib/cvs/contrib/log
/usr/lib/cvs/contrib/intro.doc
/usr/lib/cvs/contrib/clmerge
/usr/lib/cvs/contrib/log_accum
/usr/lib/cvs/contrib/rcs2log
/usr/lib/cvs/contrib/sccs2rcs
/usr/lib/cvs/contrib/cvscheck
/usr/lib/cvs/contrib/mfpipe
/usr/lib/cvs/contrib/rcs-to-cvs
/usr/lib/cvs/contrib/cvs2vendor
/usr/lib/cvs/contrib/cln_hist
/usr/lib/cvs/contrib/rcslock
/usr/lib/cvs/contrib/README
%doc %{_mandir}/man1/cvs.1.gz
%doc %{_mandir}/man1/cvslock.1.gz
%doc %{_mandir}/man5/cvs.5.gz
%doc %{_mandir}/man8/cvsbug.8.gz

%changelog -n cvs
* Tue Jan 21 2003 - fehr@suse.de
- disable the features Checkin-prog/Update-prog in cvs server
  decision was made by SuSE security team (security@suse.de)
* Thu Jan 16 2003 - fehr@suse.de
- add a patch that fixes a possible double free in cvs server
* Thu Mar 07 2002 - okir@suse.de
- security fix (zlib)
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Mar 19 2001 - fehr@suse.de
- add diff-k.possible.patch which fixes problem when using
  cvs diff -k.. (#6653)
* Fri Feb 09 2001 - schwab@suse.de
- Ignore $HOME when running as server (#6293).
* Tue Jan 16 2001 - werner@suse.de
- Make last security patch smarter: Ignore not existing temp files
* Wed Jan 10 2001 - werner@suse.de
- Add temp file patch of Olaf Kirch
* Mon Sep 25 2000 - fehr@suse.de
- changed to new version 1.11
* Fri Aug 25 2000 - fehr@suse.de
- changed to new version 1.10.8
* Tue Jul 11 2000 - fehr@suse.de
- add tcsh to needforbuild to fix a csh-dependet script
* Mon Mar 13 2000 - ro@suse.de
- fixed possible segfault
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Sep 03 1999 - fehr@suse.de
- changed to version 1.10.7
* Fri Aug 27 1999 - fehr@suse.de
- added cvslock package
* Tue Jul 20 1999 - florian@suse.de
- update to 1.10.6, add server patch
* Fri Feb 19 1999 - uli@suse.de
- update 1.9.28 -> 1.10.5
- eliminated Makefile.Linux
* Thu Jul 23 1998 - werner@suse.de
- use mktemp
* Thu Jul 16 1998 - florian@suse.de
- update to version 1.9.28
* Wed Jul 15 1998 - werner@suse.de
- Fix possible exploit of rcs2log.sh
* Mon Mar 02 1998 - florian@suse.de
- update to version 1.9.24
* Fri Oct 10 1997 - florian@suse.de
- update to version 1.9.16
* Wed Apr 30 1997 - florian@suse.de
- update to version 1.9.8
* Sun Apr 13 1997 - florian@suse.de
- update to new version 1.9.2
